
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>空间插值文献阅读（Geostatistical approaches for incorporating elevation into the spatial interpolation of rainfall） / 憋错料</title>

    <meta name="description" content="空间插值文献阅读（Geostatistical approaches for incorporating elevation into the spatial interpolation of rainfall） 空间插值技术应用必读论文---P. Goovaerts, Geostatistical approaches for incorporating elevation into the spatial interpolation of rainfall. Journal of Hydrology, 2000, 113-129. 本博文从研究意义.研究区及预处理.所使用的插值方法以及对插值方法的评价这四个角度对该文进行了详细评述,并分析了该文的一些不足. 1内容评述 该文利用三种以高程作为辅助信息的">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">空间插值文献阅读（Geostatistical approaches for incorporating elevation into the spatial interpolation of rainfall）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>空间插值技术应用必读论文---</strong>P. Goovaerts, Geostatistical approaches for incorporating elevation into the spatial interpolation of rainfall. <em>Journal of Hydrology</em>, 2000, 113-129.</p>
<p>本博文从研究意义、研究区及预处理、所使用的插值方法以及对插值方法的评价这四个角度对该文进行了详细评述，并分析了该文的一些不足。</p>
<h1><strong>1内容评述</strong></h1>
<p>该文利用三种以高程作为辅助信息的克里金插值法来对降水量进行预测，分别为局部平均简单克里金法（simple kriging with locally varying mean, SKlm）、带有外部漂移的克里金法（kriging with external drift, KED）和同位协同克里金法(collocated cokriging, CC)，然后利用交叉验证评价方法将上述三种方法得出的结果与传统的泰森多边形法、反距离平方加权法、普通克里金法以及线性回归法得到的结果进行比较。本章将从意义、研究区及预处理、所使用的插值方法以及评价方法这四个角度对该文进行详细描述。</p>
<h2>1.1 文章的意义</h2>
<p>对降雨量的空间分布进行预测很重要，目前出现了较多针对该问题的插值方法。传统的插值法，如泰森多边形法、反距离平方加权法、普通克里金法等只能利用各个站点降水量数据进行预测，当站点分布比较稀疏时，传统的方法不能很好的进行预测。</p>
<p>我们知道，降水量与高程存在较强的正相关关系，高的地方（如山区）降水量一般都比较大。一些地统计方法如SKlm、KED和CC不仅能利用较稀疏的各个站点的降水量数据（主数据），还能利用易得的辅助数据（辅助数据需与主数据有较强的相关性），比如数字高程模型（DEM，是规则格网，每个格网的数据代表了该点的高度），对降水量数据进行插值。该文使用这两类不同的方法（一类只使用水文站点的降水量数据，一类除使用降水量数据外还使用了高程数据）来对降水量的空间分布进行预测，并进行了评价。</p>
<h2>1.2 研究区及预处理</h2>
<p>研究区为Algarve地区，面积5000km2。数据为1970年-1995年36个站点的月平均和年平均水量数据以及该地区的DEM数据，DEM分辨率为1km2。对这些数据的预处理的步骤如下：</p>
<p>　　首先分析降水量和高程的相关性。降水量与高程的皮尔森相关系数为0.33-0.83，除去7月和8月这两个枯水季，降水量与高程皮尔森相关系数为0.50-0.97，可见降水量与高程之间有明显的相关性。</p>
<p>　　然后对站点的降水量数据进行半方差分析。由于数据较少，该文不考虑方向性问题。由数据得到半方差图，发现半方差图在lag为25km时达到最高，然后突然降低并呈现波动震荡趋势，该文把此现象称为&ldquo;hole effect&rdquo;（孔洞效应）。该现象反映了原始数据有周期性重复现象，该文将此现象归因于研究区中的两座高山，因为高山的降水量较大。</p>
<p>　　最后对半方差图进行拟合。该文使用回归方法对以下三个理论模型进行了拟合。</p>
<p>　　球面模型(Spherical model)：&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI4MTI1MTQ3NzIwNzQxOS5wbmc=.jpg" />&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;（1）</p>
<p>　　立方模型(Cubic model)：&nbsp;<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI4MTI1MjEyMjIwMjIwMS5wbmc=.jpg" /> （2）</p>
<p>　　孔洞效应模型(Dampened hole effect model)： &nbsp;&nbsp;<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI4MTI1MjM0OTU1NTI1Ny5wbmc=.jpg" />（3）</p>
<p>　　如何判定上述三个理论模型的拟合效果呢？该文使用的判断依据是WSS（weighted sum of squares，实验变差函数与理论模型值之差的加权和）最小这一指标。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI4MTI1MzA0MzQ1NTk3Ni5wbmc=.jpg" />（4）</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI4MTI1MzI3NTMzNTk2MC5wbmc=.jpg" />（5）</p>
<p>　　比较上述三个模型的WSS，发现立方模型(Cubic model)的WSS最小，所以该文选择的理论半方差模型为立方模型(Cubic model)。</p>
<h2>1.3 插值方法</h2>
<p>　　在对数据进行了详细分析及预处理后，就可对降水量进行插值。对降水量数据进行插值的方法很多，根据是否使用辅助数据分成两类。本小节对这两类方法进行评述。</p>
<h3>1.3.1 传统的方法</h3>
<p>　　1) 泰森多边形法：首先找到与该待插值点在空间上最近的一个站点，将站点的降水量数据赋予该点即可。该法优点是简单，缺点是形成斑块，结果不真实。</p>
<p>　　2) 反距离平方加权法：待插值点的值是该点附近已知站点数据的线性组合，线性组合的权重为该点与附近站点欧式距离平方的反比。该法基于这样一个假设：与待插值点越近的测量点，其数据与待插点的真值也越接近。该法优点是结果较为平缓，不形成斑块，缺点是不能保证估计方差最小。</p>
<p>　　3) 普通克里金法：与反距离平方加权法相似，只是线性组合的权重需要求解方程组得到。</p>
<p>　　该法的步骤为：使用预处理中给出的理论半方差模型，通过无偏和估计方差最小这两个条件来联列方程组求解权重系数。该法的优点是能使估计误差最小，缺点是当观测点数据较少时，得到的结果不可靠。</p>
<h3>1.3.2. 结合高程信息（辅助数据）的方法</h3>
<p>　　1) 线性回归法：因为降水量数据与高程数据相关性较强，可以直接构造线性回归方程（当主数据与辅助数据不是线性相关时，可以转换辅助数据使之线性相关），然后对空间上每一点进行求值。该法的优点是直观简单，缺点是认为线性回归后的残差空间不相关，而通过对残差数据进行分析发现是空间相关的。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI4MTI1NDAxMDk1MjcwNi5wbmc=.jpg" />（6）</p>
<p>　　2) SKlm法：SKlm法首先通过主辅数据间的相互关系来求得线性关系式，该关系式利用整体数据只求一次，用于整个区域的估值；然后对残差进行简单克里金，如果残差不相关，那么所有克里金的权重系数为0，插值结果就是线性回归得到的结果。该法的优点是考虑了残差的空间相关性，线性回归可以看作其一个特例（残差空间不相关）。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI4MTI1NDM4NTE3NDUwNy5wbmc=.jpg" />（7）</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI4MTI1NDQ2OTcwNTA1Ny5wbmc=.jpg" />（8）</p>
<p>　　3) KED法：KED利用处处已知的辅助变量，并且假设辅助变量能够反映主变量的局部空间趋势，与SKlm相似，不同之处在于对局部平均值的求解。对于SKlm法，利用所有测量点求解一次线性关系式，用于整个区域的估值，而KED法则在每个搜索邻域内进行估计，即KED的主辅数据之间的关系是局部估计的。KED使用局部邻域估计主辅数据之间的线性函数关系，比SKlm利用所有主辅数据之间的关系更合理。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI4MTI1NTE5NzY3NDkwNC5wbmc=.jpg" />（9）</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI4MTI1NTI2MzYxMzc1Ny5wbmc=.jpg" />（10）</p>
<p>　　4) CC法：是协同克里金法的一种简化形式，即如果辅助变量密集取样的时候，只保留与待插值点同位的辅助数据。CC法与SKlm法和KED法不同，SKlm法和KED法是间接的利用高程的信息，即利用高程信息得到趋势值，而CC法则是直接将高程数据应用到估值中。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI4MTI1NTQ3MTI3OTkxMy5wbmc=.jpg" />（11）</p>
<h3>1.3.3 对各插值方法的评价</h3>
<p>　　使用交叉验证的方法。交叉验证法是依次假设每个实测数据点均未被测定，根据n-1个其它测定点的数据用某种插值方法来估计这个假设未被测定的值（假设共有n个实测数据）。结果发现泰森多边形法和反距离平方加权法的得到的结果误差最大，因为这两种方法同时忽略了高程信息和周围站点测的降水量的信息。SKlm法、KED法和CC法较其它方法得到的结果更为精确。而当高程与降水量的相关性不是很强的时候（在本研究中皮尔森相关系数小于0.75时），普通克里金法得到的结果比线性回归法好。</p>
<h1><strong>2 文章带来的启发</strong></h1>
<p>通过对该文献的阅读和理解，加深了对克里金插值方法的认识，对克里金插值的流程有了进一步的熟悉，最重要的一点收获是，在对数据进行插值时，如果主数据和辅助数据存在较好的相关性，我们不仅可以对主数据进行直接插值，还能结合辅助数据进行插值。</p>
<h1><strong>3 文章研究的不足</strong></h1>
<p>虽然该文逻辑清晰，方法多样，对结果的意义解释也很明了，但对该文进行仔细分析，仍可发现存在如下几点不足：</p>
<p>1) 选取普通克里金法作为传统方法的一种并不合适。该文为了体现结合高程信息插值方法的优势，选取了三种只使用降水量数据的传统方法作为对比，其中有普通克里金方法，但我认为选择普通克里金方法是不合适的，泛克里金方法比较合适。我们知道，普通克里金方法是基于均值在随机场上不变的思想，而在该文研究中，降水量是随着地形的变化而变化的，在高山地区的降水量均值明显较大，也就是说其均值是随着位置的改变而改变的，因此使用普通克里金方法来进行插值不合适，故而可以考虑使用趋势面法或者泛克里金方法。</p>
<p>2) 该文建立了降水量与高程的线性回归模型，并认为该回归的不足是没有考虑残差的线性相关性，从而引发了使用各种克里金方法。基于此，可以考虑使用GLMs方法来对降水量进行预测。</p>
<p>3) 该文认为数据量比较小，不考虑数据的有向性问题，但该数据可能存在有向性，因为受高程影响，数据分布与高程也一致，而由于山脉的有向分布可能导致数据存在有向性。可以考虑使用周期图进行分析，这样不管原始数据有向还是无向都可以进行分析。</p>
<p>4) 该文对年平均降水量和月平均降水量进行了空间分布的预测，是否可以按季节进行分类，对季平均降水量进行空间分布的预测？</p>
<p>5) 是否考虑使用时空模型，来对不同空间和不同时间的降水量进行预测？</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-21 12:27:46 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>空间插值文献阅读（Geostatistical approaches for incorporating elevation into the spatial interpolation of rainfall）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qO5E9M.html" rel="bookmark">文献阅读笔记&mdash;&mdash;group sparsity and geometry constrained dictionary</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				周五实验室有同学报告了ICCV2013的一篇论文group sparsity and geometry constrained dictionary learning for action recognition from depth maps.这篇文章是关于Sparsing Coding的.Sparse coding并不是我的研究方向.在此仅仅是做个文献阅读后的笔记,权当开拓下我的视野. 从标题就能够看出,这篇论文试图通过学习到group sparsity和geometry constrain			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lkGDNM.html" rel="bookmark">数学文献阅读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.  Z. Skalak,      On the regularity of the solutions to the Navier-Stokes equations via the gradient of one velocity component,      Nonlinear Analysis,     104      (2014), 84--89. 数学文献阅读,码迷,mamicode.com			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pL65w4.html" rel="bookmark">关于IDW空间插值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				空间插值一般都会用到IInterPolationOP接口等 首先是通过图层的名称获取图层的方法: private ILayer GetLayerByName(string name)        {            ILayer layer = null;            for (int i = 0; i &lt; axmapcontrol.Map.LayerCount; i++)            {                if (name == axmapcontrol			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mynz9E0.html" rel="bookmark">ArcGIS Engine实现IDW空间插值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于工作需要,要求使用AE实现对某些气象观测要素(如气温.雨量)等进行IDW插值,经过这段时间的努力,基本功能已经实现.在此感谢一些网上的技术牛人,谢谢他们无私的分享(搜索是件快乐的事情),同时也要感谢自己付出的努力(查找资料.耐心.智慧).实现过程如下: IDW插值 剪裁(单波段影像) 颜色渲染 出透明图 下面记录了实现的主要代码,毕竟好记性不如烂笔头. (一)IDW空间插值的实现 1 private ESRI.ArcGIS.Geodatabase.IGeoDataset CreateRast			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoexDB3.html" rel="bookmark">空间插值&mdash;&mdash;插值方法的适用范围</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				空间确定性插值,以研究区域内部的相似性或者平滑度为基础,由已知样点来创建表面. 1.IDW 相近相似原理,反距离加权. 样点分布要尽可能均匀,且布满整个插值区域. 对于不规则分布的样点,插值时利用的样点往往也不均匀的分布在周围不同的方向上,这样对每个方向上的插值结果的影响不同,准确度也会降低. 2.全局多项式插值 一个多项式计算预测值,即用一个平面或曲面进行全区特征拟合.非精确插值法,不与实际样点完全重合. 要求样点模拟的属性在研究区域表面的变化是平缓的.或者检验长期变化的,全局性趋势的影响(即			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dEGLr3.html" rel="bookmark">&lbrack;文献阅读&rsqb; Segmentation and Image Analysis of Abnormal Lungs at CT&colon; Current Approaches&comma; Challenges&comma; and Future Trends</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要: 肺部分割即计算机确定肺与周围胸部组织边界的过程,是图像分析的重要的一步.然而,几乎现在所有的图像分割方法仅适用于只有很少或没有病理情况.当中度或大量的疾病或异常的具有挑战性的形状或外观存在于肺部时,由于不准确的分割,计算机辅助检测系统可能是很可能无法描绘这些不正常的区域.特别是,如胸腔积液,实变,和大量的不准确分割,大大限制了在临床研究中使用图像处理方法.在本文中,提出了基于CT图像的肺实质分割方法的批判性总结,尤其对异常和典型的病理检查结果方法的精度和性能进行了特别强调. 现有的分割方			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YYywv0.html" rel="bookmark">英文文献阅读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				怎样看科研论文 一.先看综述 先读综述,可以更好地认识课题,知道已经做出什么,自己要做什么,,还有什么问题没有解决.对于国内文献一般批评的声音很多.但它是你迅速了解你的研究领域的入口,在此之后,你再看外文文献会比一开始直接看外文文献理解的快得多.而国外的综述多为本学科的资深人士撰写,涉及范围广,可以让人事半功倍. 二.有针对地选择文献针对你自己的方向,找相近的论文来读,从中理解文章中回答什么问题,通过哪些技术手段来证明,有哪些结论?从这些文章中,了解研究思路,逻辑推论,学习技术方法.1. 关键词			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZpX8lM.html" rel="bookmark">深度学习文献阅读笔记（1）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转眼间已经研二了,突然想把以前看过的文献总结总结与大家分享,留作纪念,方便以后参考. 1.深度追踪:通过卷积网络进行差异特征学习的视觉追踪(DeepTrack:Learning Discriminative Feature Representations by Convolutional Neural Networks for visual Tracking)(英文,会议论文,2014年,EI检索) 将卷积神经网络用于目标跟踪的一篇文章,可将CNN不仅仅可以用做模式识别,做目标跟踪也是可以,毕竟			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kvVmLM.html" rel="bookmark">2018-文本分类文献阅读总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章1 Generative and Discriminative Text Classification with Recurrent Neural Networks 时间:2017 机构:Google DeepMind 生成模型:generative 判别模型:discrimination 作者支持生成模型比判别模型具有更加优异的性能,经过生成模型和判别模型的建模给出结论. 判别模型使用LSTM的变体(增加了peephole到每一个门上,则每一个门都会受到上一节点的cell的影响),当给定了			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/pMPdW1M.html" rel="bookmark" class="title">oracle在组合索引上，只使用部分列进行查询（查询时必须包含前导列，否则会走全表扫描）</a>
					<div>
						实验环境:Oracle Database 11g Enterprise Edition Release 11.2.0.4.0 - 64bit Production 1.创建表插入数据 SQL&gt;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/pMPV8y3.html" rel="bookmark" class="title">女性移动应用市场的陨落与刚需</a>
					<div>
						近日,女性移动应用成为互联网媒体关注的对象.有爆料称大姨吗融资失败,不过随后大姨吗方面回应称该消息为造谣.作为女性移动应用的&quot;当家花旦&quot;,大姨吗有可能遇到的融资危机其实也是所有同侪 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZYpOD0.html" rel="bookmark" class="title">having&lpar;&rpar;方法设置查询条件，where&lpar;&rpar;设置查询条件</a>
					<div>
						having  和 where区别 ① 使用有先后顺序 ② where  price&gt;100     having price&gt;100 ③ where  设置条件,字段必须是数据表中存在的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoYVKb3.html" rel="bookmark" class="title">lintcode 中等题：longest common substring 最长公共子串</a>
					<div>
						题目 最长公共子串 给出两个字符串,找到最长公共子串,并返回其长度. 样例 给出A=“ABCD”,B=“CBCE”,返回 2 注意 子串的字符应该连续的出现在原字符串中,这与子序列有所不同. 解题 注 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPdGwaM.html" rel="bookmark" class="title">Redis学习&mdash;&mdash;SDS字符串实现</a>
					<div>
						0. 前言 这里对Redis底层字符串的实现分析,但是看完其实现还没有完整的一个概念,即不太清楚作者为什么要这样子设计,只能窥知一点,需要看完redis如何使用再回头来体会,有不足之处还望告知. 涉及 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kD5nl3.html" rel="bookmark" class="title">LeetCode&lowbar;Sum Root to Leaf Numbers</a>
					<div>
						一.题目 Sum Root to Leaf Numbers Total Accepted: 47437 Total Submissions: 156443My Submissions Given a  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d5alZ3.html" rel="bookmark" class="title">搭建squid代理服务器，并启用简单认证</a>
					<div>
						一.安装Proxy需要的squid软件 yum -y install squid 二.配置文件位置 /etc/squid/squid.conf #默认配置文件是可以代理所有私网地址的,如果有其他地址需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME81dg4.html" rel="bookmark" class="title">入门Mac快捷键详细分类整理，包括Eclipse和Android Studio中一些常用的快捷键</a>
					<div>
						[通用] control(^) shift(?)   ?? option/alt (?) command(?) fn 副功能键 [效率] 1.编辑 control + space 切换输入法(改键:a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NaQ2J3.html" rel="bookmark" class="title">面试&lpar;4&rpar;-spring-Spring面试题和答案</a>
					<div>
						1:69道Spring面试题和答案 转自:http://ifeve.com/spring-interview-questions-and-answers/ 目录 Spring 概述 依赖注入 Spri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eyELJ0.html" rel="bookmark" class="title">ThreadLocal源码学习</a>
					<div>
						ThreadLocal,线程本地化对象,在多线程环境中,使用ThreadLocal对象来维护变量时,ThreadLocal为每个使用该变量的线程维护一个独立的线程副本. ThreadLocal.jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoxNdQ0.html" rel="bookmark" class="title">Android UI布局之TableLayout</a>
					<div>
						从字面上了解TableLayout是一种表格式的布局.这样的布局会把包括的元素以行和列的形式进行排列.表格的列数为每一行的最大列数.当然表格里边的单元格是能够为空的. 实例:LayoutDemo 执行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02keZD3.html" rel="bookmark" class="title">用户和组命令及相关配置文件</a>
					<div>
						用户和组命令及相关配置文件 目录 一.创建用户.组和权限相关命令 1.useradd 帐号建立 2.usermod 用户属性更改 3.Passwd 4.userdel 6.chfn. 7.Chsh 8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AZWryM.html" rel="bookmark" class="title">【ASP&period;NET 进阶】根据IP返回对应位置信息</a>
					<div>
						其实就是使用了百度的IP库的功能接口,然后处理下就行了,效果图如下: 准备工作: 1.注册成为开度开发者,创建应用获得百度API调用的AK秘钥,百度开发中心地址:http://developer.ba ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dNm874.html" rel="bookmark" class="title">引擎设计跟踪&lpar;九&period;14&rpar; 更新记录和骨骼动画导出</a>
					<div>
						骨骼动画是去年打算写的部分, 但是中间因为工作太忙, 已经拖了一年了. 期间也加了其他东西, 比如对UI做了部分完善.UI对toolbar button添加了drop down 支持, 一种是drop ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBxmng3.html" rel="bookmark" class="title">WPF 文本的呈现</a>
					<div>
						WPF呈现文本的控件有 TextBlock,Label  ,TextBox, RichTextBox 等等! 下面我们还是以呈现Hello World加以说明. 1.显示不同的样式的文本 代码: &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MglEXR0.html" rel="bookmark" class="title">并发处理</a>
					<div>
						关于并发你真的了解吗?(二) 本文仅代表带个人观点及理解,本人只是一个编程小菜鸟,如果有不对的地方.请大佬轻喷! 前言:对于一些公司来说可能会遇到一些并发处理的问题,本文有可能会对您有所帮助. 对于一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AAvXb4.html" rel="bookmark" class="title">Java与设计模式-适配器模式</a>
					<div>
						适配器模式是开发中经常会用到的模式,Android开发中经常用到的各种adapter就属于适配器模式,连接各种数据库时也要用到适配器模式.适配器模式在生活中的实例也随处可见,你托人在日本买了个电饭煲, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6plrv3.html" rel="bookmark" class="title">原型式继承</a>
					<div>
						原型式继承是道格拉斯·克罗克福德在 2006年写了一篇文章,题为 Prototypal Inheritance in JavaScript (JavaScript 中的原型式继承)中指出的.他给出了一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49vYxDM.html" rel="bookmark" class="title">Java集合框架介绍。Java Collection Frameworks  &equals; JCF</a>
					<div>
						Java集合框架 = Java Collection Frameworks  = JCF . 为了方便理解,我画了一张思维脑图.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38yzvg4.html" rel="bookmark" class="title">让我们一起来做最漂亮的Android界面吧！</a>
					<div>
						让我们一起来做最漂亮的Android界面吧! AndroidiOS产品设计 摘要:如何为Android设备量身定制以打造出最为完美的应用?这是让诸多开发者很是头疼的问题.不同于iOS,Android设 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
